summaryrefslogtreecommitdiffstats
path: root/source/n/openssh
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/openssh')
-rw-r--r--source/n/openssh/openssh-glibc-2.33.patch36
-rwxr-xr-xsource/n/openssh/openssh.SlackBuild3
2 files changed, 39 insertions, 0 deletions
diff --git a/source/n/openssh/openssh-glibc-2.33.patch b/source/n/openssh/openssh-glibc-2.33.patch
new file mode 100644
index 000000000..9a236ad0d
--- /dev/null
+++ b/source/n/openssh/openssh-glibc-2.33.patch
@@ -0,0 +1,36 @@
+From 41f221b4962b835a4f24a430d1ce0d90b90305ac Mon Sep 17 00:00:00 2001
+From: Nick Alcock <nick.alcock@oracle.com>
+Date: Mon, 8 Feb 2021 15:10:00 +0000
+Subject: [PATCH] seccomp: allow futex_time64 and pselect6_time64 on Linux.
+
+Needed on many 32-bit Linux platforms using glibc 2.33.
+---
+ sandbox-seccomp-filter.c | 6 ++++++
+ 1 file changed, 6 insertions(+)
+
+diff --git a/sandbox-seccomp-filter.c b/sandbox-seccomp-filter.c
+index e0768c06..46752c0b 100644
+--- a/sandbox-seccomp-filter.c
++++ b/sandbox-seccomp-filter.c
+@@ -204,6 +204,9 @@ static const struct sock_filter preauth_insns[] = {
+ #ifdef __NR_futex
+ SC_ALLOW(__NR_futex),
+ #endif
++#ifdef __NR_futex
++ SC_ALLOW(__NR_futex_time64),
++#endif
+ #ifdef __NR_geteuid
+ SC_ALLOW(__NR_geteuid),
+ #endif
+@@ -267,6 +270,9 @@ static const struct sock_filter preauth_insns[] = {
+ #ifdef __NR_pselect6
+ SC_ALLOW(__NR_pselect6),
+ #endif
++#ifdef __NR_pselect6_time64
++ SC_ALLOW(__NR_pselect6_time64),
++#endif
+ #ifdef __NR_read
+ SC_ALLOW(__NR_read),
+ #endif
+--
+2.30.0.252.gc27e85e57d
diff --git a/source/n/openssh/openssh.SlackBuild b/source/n/openssh/openssh.SlackBuild
index 0f2981cd2..43605b1dc 100755
--- a/source/n/openssh/openssh.SlackBuild
+++ b/source/n/openssh/openssh.SlackBuild
@@ -89,6 +89,9 @@ zcat $CWD/openssh.tcp_wrappers.diff.gz | patch -p1 --verbose || exit 1
# Fix ssh-copy-id EOF bug:
zcat $CWD/ssh-copy-id.diff.gz | patch -p1 --verbose || exit 1
+# Fix sandbox with glibc-2.33:
+zcat $CWD/openssh-glibc-2.33.patch.gz | patch -p1 --verbose || exit 1
+
# Choose correct options depending on whether PAM is installed:
if [ -L /lib${LIBDIRSUFFIX}/libpam.so.? ]; then
PAM_OPTIONS="--with-pam --with-kerberos5"